package com.heyu.api.data.service.vv;
/**
* <p>
* 推广者 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvPromoterEntity;
public interface VvPromoterService extends IService<VvPromoterEntity> {



	VvPromoterEntity selectVvPromoterById(Long id);


	Long insertVvPromoter(VvPromoterEntity vvPromoter);


	Long insertOrUpdateVvPromoter(VvPromoterEntity vvPromoter);


	int updateVvPromoterById(VvPromoterEntity vvPromoter);


	int updateCoverVvPromoterById(VvPromoterEntity vvPromoter);


	int deleteVvPromoterById(Long id);


}